Bug Hunting Session
Bug 91425 - CRASH - Calc Insert Columns Left
Summary: CRASH - Calc Insert Columns Left
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 tar...
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-05-21 08:38 UTC by DonLocke
Modified: 2018-12-10 18:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
File Sheet 4 Example (16.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-05-21 08:38 UTC, DonLocke
Details
full bt (46.58 KB, text/plain)
2015-05-21 15:08 UTC, Alex Thurgood
Details
console+bt with debug symbols (4.75 KB, text/plain)
2015-05-23 00:13 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DonLocke 2015-05-21 08:38:38 UTC
Created attachment 115763 [details]
File Sheet 4 Example

Hello,
if I insert a new collumn in attached File (Sheet "Gesamtvolumen_intern") LibreOffice (4.4.3.2) crashes without any error report

* The attached file ist just for exempel, it's happening to many other files too
* i've try it on different Clients:
** MacBook Pro MacOS X 10.9.5
** MacMini MacOS X 10.9.5
* I removed the content of the File, the Error ist still present.

With LibreOffice (4.2.8.2) i try the same, it works.
Comment 1 Alex Thurgood 2015-05-21 15:01:29 UTC
Confirming on 

Version: 5.0.0.0.alpha1+
Build ID: 1349491d48a2f8a130f1b8b840383d31e7927252
Locale : fr-FR (fr.UTF-8)

OSX 10.10.3
Comment 2 Alex Thurgood 2015-05-21 15:08:41 UTC
Created attachment 115769 [details]
full bt
Comment 3 Alex Thurgood 2015-05-21 15:16:51 UTC
Also present in 

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale : fr_

but at least here, the column gets inserted before crashing, whreas with 500 alpha, it bombs before the column gets drawn.
Comment 4 Alex Thurgood 2015-05-21 15:19:03 UTC
Also present in 
Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Comment 5 Alex Thurgood 2015-05-21 15:23:55 UTC
Date/Time:       2015-05-21 17:22:54 +0200
OS Version:      10.10.3 (Build 14D136)
Architecture:    x86_64
Report Version:  21

Command:         LibreOffice
Path:            /Applications/LO4142.app/Contents/MacOS/soffice
Version:         4.1.4.2 (???)
Parent:          launchd [1]
PID:             56008

Event:           hang
Duration:        3.30s (process was unresponsive for 139 seconds before sampling)
Steps:           34 (100ms sampling interval)


Spinning beachball, force kill
Comment 6 Alex Thurgood 2015-05-21 15:31:00 UTC
How to reproduce :

1) Open test file provided in report
2) Move mouse pointer over Column A header, the right mouse button click
3) Insert columns left

==>> crash
Comment 7 Alex Thurgood 2015-05-21 15:34:01 UTC
Works fine in LO 3.6.7.2
Comment 8 Alex Thurgood 2015-05-21 15:35:02 UTC
Works fine in LO 4.1.3.2
Comment 9 Alex Thurgood 2015-05-21 15:35:55 UTC
Bug introduced between 4132 and 4142
Comment 10 Julien Nabet 2015-05-23 00:13:33 UTC
Created attachment 115867 [details]
console+bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 11 Julien Nabet 2015-05-23 00:19:43 UTC
Eike: reading bt and noticing this http://cgit.freedesktop.org/libreoffice/core/commit/?id=3af0508b1002b38c2a4e452a23fc9b88a9b953db, thought you might have some idea.
Comment 12 Commit Notification 2015-06-04 12:15:27 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ba1cbe48c40d649c33661abb32369c39a23fff4

tdf#91425 CRASH - Calc Insert Columns Left

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-06-04 12:23:18 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0856fa11ec5319231c3927a2ba595ab500262dc1&h=libreoffice-5-0

tdf#91425 CRASH - Calc Insert Columns Left

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-06-04 12:30:06 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c41f604ecf65550bcb456f8a635aa6d534e9452b&h=libreoffice-4-4

tdf#91425 CRASH - Calc Insert Columns Left

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Timur 2015-06-04 15:31:39 UTC
Was also reproduced in Windows.
Comment 16 Robinson Tryon (qubit) 2015-12-17 09:10:43 UTC Comment hidden (obsolete)
Comment 17 Commit Notification 2018-12-10 18:57:21 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/489775e72fbfb1636eafd431cf40e50705ae80ec%5E%21

uitest for bug tdf#91425

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.